<?php

class Widget
{
    public static function render(ViewPort $viewPort, Component $component, int $index = 1): Viewport
    {
        if ($component instanceof Container) {
            return \PHPNative\Renderer\Widgets\Container::layout($viewPort, $view, $index);
        }
    }
}
